unit uIEditorCuenta;

interface

uses
  uEditorDBItem, uBizCuentas, uCuentasController;

type
  IEditorCuenta = interface(IEditorDBItem)
  ['{3CDABEA1-F952-4F35-8A31-279FFB7C31E4}']
    function GetController : ICuentasController;
    procedure SetController (const Value : ICuentasController);
    property Controller : ICuentasController read GetController write SetController;

    function GetCuenta: IBizCuenta;
    procedure SetCuenta(const Value: IBizCuenta);
    property Cuenta: IBizCuenta read GetCuenta write SetCuenta;

    function ShowModal : Integer;
    procedure Release;
  end;


implementation

end.
